Page MenuHomePhabricator

Page Up and Page Down don't work in VisualEditor in Firefox
Closed, ResolvedPublic

Description

The keys "Page Up" and "Page Down" don't work in VisualEditor.


Version: unspecified
Severity: normal

Details

Reference
bz33047

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:06 AM
bzimport set Reference to bz33047.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Dec 13 2011, 9:58 PM

What browser/system?

brion added a comment.Dec 13 2011, 9:59 PM

I can repro this with FF 8 on Linux.

(In reply to comment #1)

What browser/system?

Windows 7, Chrome/Firefox 8/IE9.

Confirmed in Firefox on Mac OS X as well.

On Chrome, we get paging but the cursor doesn't update.

There's no support for moving the cursor with page up and page down yet, but in
some browsers the key strokes are cancelled (and will do nothing) while in
others they are not (and will cause the page to scroll).

The former is a missing feature, the latter sounds like a bug.

bug #33057 as been created for the feature request portion of this bug.

Now resolved in new version of Visual Editor.

Mass-moving old VisualEditor tickets to the VE product. Search for this message to mass-delete bugmail.

Noting bugs closed in the 2012-10-15 release.